﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Kresleni2
{
    internal interface IShape
    {
        public void Draw(Graphics g, Pen p);
    }

    internal abstract class AbstractShape : IShape
    {
        public int X { get; set; }  
        public int Y { get; set; }  
        public int Width { get; set; }
        public int Height { get; set; }
        public abstract void Draw(Graphics g, Pen p);
        
    }

    internal class Line : AbstractShape
    {
        public override void Draw(Graphics g, Pen p)
        {
            g.DrawLine(p,X-Width/2,Y-Height/2,Width,Height);
        }
    }

    internal class Rectangle : AbstractShape
    {
        public override void Draw(Graphics g, Pen p)
        {
            g.DrawRectangle(p,X-Width/2,Y-Height/2,Width,Height);
        }
    }

    internal class Ellipse : AbstractShape
    {
        public override void Draw(Graphics g, Pen p)
        {
            g.DrawEllipse(p,X-Width/2,Y-Height/2,Width,Height);
        }
    }
}
